classification
Title: Remove __version__ string from email
Type: Stage: resolved
Components: email Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, python-dev, r.david.murray, tshepang
Priority: normal Keywords: patch

Created on 2014-09-27 21:05 by r.david.murray, last changed 2015-06-23 21:17 by barry. This issue is now closed.

Files
File name Uploaded Description Edit
remove_email_version.patch r.david.murray, 2014-09-27 21:05 review
Messages (6)
msg227731 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-09-27 21:05
There is no longer a concept of a separate 'email' release from the stdlib release.  The __version__ string didn't get updated in either 3.3 or 3.4 (my fault).  I propose that we simply delete the __version__ variable from __init__.py (patch attached).

Any objections?
msg227733 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2014-09-27 21:10
On Sep 27, 2014, at 09:05 PM, R. David Murray wrote:

>There is no longer a concept of a separate 'email' release from the stdlib
>release.  The __version__ string didn't get updated in either 3.3 or 3.4 (my
>fault).  I propose that we simply delete the __version__ variable from
>__init__.py (patch attached).

+1

-Barry
msg228331 - (view) Author: Tshepang Lekhonkhobe (tshepang) * Date: 2014-10-03 16:19
Looks like a safe change. There is only one user in all Debian sources, and it's on Python 2:

http://codesearch.debian.net/search?q=email.__version__
msg228336 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2014-10-03 16:36
On Oct 03, 2014, at 04:19 PM, Tshepang Lekhonkhobe wrote:

>Looks like a safe change. There is only one user in all Debian sources, and it's on Python 2:
>
>http://codesearch.debian.net/search?q=email.__version__

Hahahahahahahaha
msg228340 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-03 17:03
New changeset 67f9e757f21b by R David Murray in branch 'default':
#22508: Drop email __version__ string.  It no longer means anything.
https://hg.python.org/cpython/rev/67f9e757f21b
msg245701 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2015-06-23 21:17
When I ported Mailman 3 to Python 3.5 I had to remove the check on email.__version__ :)
History
Date User Action Args
2015-06-23 21:17:02barrysetmessages: + msg245701
2014-10-03 17:03:33r.david.murraysetstatus: open -> closed
resolution: fixed
stage: resolved
2014-10-03 17:03:00python-devsetnosy: + python-dev
messages: + msg228340
2014-10-03 16:36:29barrysetmessages: + msg228336
2014-10-03 16:19:15tshepangsetnosy: + tshepang
messages: + msg228331
2014-09-27 21:10:29barrysetmessages: + msg227733
2014-09-27 21:05:22r.david.murraycreate